Commit fae27e31 authored by Zbysek Machaczek's avatar Zbysek Machaczek
Browse files

Update .gitlab-ci.yml

parent 2e671c1d
Pipeline #13776 failed with stages
in 7 seconds
image: ubuntu:rolling
stages:
- build
- test
- build
- test
job1:
stage: build
artifacts:
paths:
- build/
before_script:
- 'apt-get -y install g++'
- 'apt-get -y install CMake'
script:
- 'cmake -S. -Bbuild'
- 'cmake --build build'
stage: build
artifacts:
paths:
- build/
before_script:
- 'apt-get -y install g++'
- 'apt-get -y install CMake'
script:
- 'cmake -S. -Bbuild'
- 'cmake --build build'
job2:
stage: test
dependencies:
- job1
script:
- './build/code1 && echo "Job OK" || { echo "Job ERROR: $?"; exit 1; }'
- './build/code2 && echo "Job OK" || { echo "Job ERROR: $?"; exit 1; }'
stage: test
dependencies:
- job1
script:
- './build/code1 && echo "Job OK" || { echo "Job ERROR: $?"; exit 1; }'
- './build/code2 && echo "Job OK" || { echo "Job ERROR: $?"; exit 1; }'
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment